DROP PROC Op_GrabarcstoreTmpProc 
GO
CREATE PROCEDURE Op_GrabarcstoreTmpProc 
(@CORRNBR        int,
@DOCTYPEID      UD_DOCTYPEID,    
@NBRDOCUMENT    UD_CORRELATIVOS, 
@SITEID         UD_IDSITE,
@INVTIDSKU      UD_IDCORPORATIVO,
@CURYID         UD_CURYID,
@DATEDOC        UD_FECHA,
@DATEPROCESALES UD_FECHA,
@NBRTURN        tinyint,           
@PORCENTTAXIGV  UD_PORCENTAJE,    
@PORCENTTAXISC  UD_PORCENTAJE,
@TOTALPEN	UD_MONTO,          
@TOTALUSD       UD_MONTO,
@TAXPEN         UD_MONTO,
@TAXUSD         UD_MONTO,
@STKITEM        bit,
@STKFISI        bit,
@SLS_PRICE      UD_PRECIO,
@SLSPRICESALE   UD_PRECIO,
@STDCOSTPEN     UD_COSTO,  
@STDCOSTUSD     UD_COSTO,
@INVTIDALTER    UD_CODIGOBARRA,
@QTY            UD_STOCK,
@DESCR		UD_DESCRIPCION,
@UNIDAD		UD_STKUNITID )
AS
BEGIN
    DECLARE @SEQUENCE UD_REGISTRO 
    DECLARE @PERPOST UD_PERPOST   
    BEGIN TRAN
    --Obtener la Secuencia del Registro
    SELECT @SEQUENCE=COUNT(SEQUENCE)+ 1 FROM TMP_OP_SALESDETCSTORE WHERE CORRNBR=@CORRNBR      
    SELECT @PERPOST=RTRIM((LTRIM(RTRIM(LTRIM(DATEPART(yyyy,getdate()))) + RTRIM(LTRIM(DATEPART(mm,getdate()))))))        

    INSERT INTO TMP_OP_SALESDETCSTORE (
		CORRNBR,DOCTYPEID,NBRDOCUMENT,SEQUENCE,SITEID,INVTIDSKU,CURYID,
	        DATEDOC,DATEPROCESALES,PERPOST,NBRTURN,PORCENTTAXIGV,
	        PORCENTTAXISC,TOTALPEN,TOTALUSD,TAXPEN,TAXUSD,STKITEM,STKFISI,SLS_PRICE,
	        SLSPRICESALE,STDCOSTPEN,STDCOSTUSD,INVTIDALTER,QTY,DESCRINVENTORY,STKUNITID)
    VALUES(	@CORRNBR,@DOCTYPEID,@NBRDOCUMENT,@SEQUENCE,@SITEID,@INVTIDSKU,
           	@CURYID,@DATEDOC,@DATEPROCESALES,@PERPOST,@NBRTURN,@PORCENTTAXIGV,@PORCENTTAXISC,
		@TOTALPEN,@TOTALUSD,@TAXPEN,@TAXUSD,@STKITEM,@STKFISI,@SLS_PRICE,
		@SLSPRICESALE,@STDCOSTPEN,@STDCOSTUSD,@INVTIDALTER,@QTY,@DESCR,@UNIDAD)

    IF (@@error!=0)
    BEGIN
        RAISERROR  20000 'No se puede Registrar registro en Detalle '
        ROLLBACK TRAN
        RETURN(1)    
    END

    COMMIT TRAN

END
GO

--exec Op_GrabarcstoreTmpProc     1,'12 ',1,'00057','70025','PEN','3/12/02', '26/11/02',1,0 ,0,0 ,0   ,18  ,0   ,0  ,0,0 ,0 ,0   ,0   ,4.1,4.1,0.76,0.22,'',3,'ACT II-POP CORN QUESO CHEDDAR BLA. 96GR.','UND'
exec Op_GrabarcstoreTmpProc  2064,'12 ',0,'00057','80075','PEN','17/12/02','13/12/02',1,18,0,10,1.53,1.53,0.23,255,0,10,10,6.54,1.89,'',1,'ACEITE OLIVA MANOLETE 250 ML (VIRGEN EXT','UND'
SELECT * FROM TMP_OP_SALESDETCSTORE 